import { Column, Entity, OneToMany, PrimaryColumn } from "typeorm";
import { memberAwards } from "../club/member/memberAwards";

@Entity()
export class award {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255 })
  award: string;

  @OneToMany(() => memberAwards, (member) => member.award)
  members: memberAwards[];
}
